package com.jiayue.insu.incloud.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.insu.incloud.entity.IntegrationCompany;
import com.jiayue.insu.incloud.mapper.IntegrationCompanyMapper;
import com.jiayue.insu.incloud.service.IntegrationCompanyService;
import org.springframework.stereotype.Service;

@Service
public class IntegrationCompanyServiceImpl extends ServiceImpl<IntegrationCompanyMapper, IntegrationCompany> implements IntegrationCompanyService {


    @Override
    public IntegrationCompany findByCode(String code) {
        LambdaQueryWrapper<IntegrationCompany> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(IntegrationCompany::getCode,code);
        return this.getOne(lambdaQueryWrapper);
    }
}
