package com.jiayue.insu.incloud.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.insu.incloud.entity.QuartzBase;
import com.jiayue.insu.incloud.mapper.QuartzBaseMapper;
import com.jiayue.insu.incloud.service.QuartzBaseService;
import org.springframework.stereotype.Service;

@Service
public class QuartzBaseServiceImpl extends ServiceImpl<QuartzBaseMapper, QuartzBase> implements QuartzBaseService {

    @Override
    public QuartzBase findByExecuteClass(String executeClass) {
        LambdaQueryWrapper<QuartzBase> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(QuartzBase::getExecuteClass,executeClass);
        return this.getOne(lambdaQueryWrapper);
    }
}
