package com.jiayue.insu.incloud.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.insu.incloud.entity.Quartz;
import com.jiayue.insu.incloud.mapper.QuartzMapper;
import com.jiayue.insu.incloud.service.QuartzService;
import org.springframework.stereotype.Service;

@Service
public class QuartzServiceImpl extends ServiceImpl<QuartzMapper, Quartz> implements QuartzService {


    @Override
    public Quartz findByJobName(String jobName) {
        LambdaQueryWrapper<Quartz> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Quartz::getJobName,jobName);
        return this.getOne(lambdaQueryWrapper);
    }
}
