package com.jiayue.insu.incloud.job.data.push;

import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.pushdata.PushDataForQNHL;
import com.jiayue.insu.incloud.service.StationService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
/**
 * 清能推送原始短期数据定时任务
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public class QNHLPushInitDqData implements Job {

    @Autowired
    private PushDataForQNHL pushDataForQNHL;
    @Autowired
    private StationService stationService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        String stationCode  = jobExecutionContext.getTrigger().getJobKey().getName();
        Station one = stationService.findByStationCode(stationCode);
        pushDataForQNHL.pushDQAndNWPData(one);
    }
}
