package com.jiayue.insu.incloud.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.mapper.StationMapper;
import com.jiayue.insu.incloud.service.StationService;
import org.springframework.stereotype.Service;

@Service
public class StationServiceImpl extends ServiceImpl<StationMapper, Station> implements StationService {


    @Override
    public Station findByStationCode(String stationCode) {
        LambdaQueryWrapper<Station> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Station::getStationCode,stationCode);
        return this.getOne(lambdaQueryWrapper);

    }
}
